XScreenSaver(1)

NAME
xscreensaver-getimage-desktop - put a desktop image on the root window

SYNOPSIS
xscreensaver-getimage-desktop [-display host:display.screen] [--verbose] [--stdout]

DESCRIPTION
The xscreensaver-getimage-desktop program is a helper program for the xscreensaver hacks that manipulate images. Specifically, it is invoked by xscreensaver-getimage(1) as needed. This is not a user-level command. This program is only used on MacOS X / XDarwin systems, because on those systems, it's necessary to use the screencapture(1) program to get an image of the desktop -- the usual X11 mechanism for grabbing the screen doesn't work on OSX. This script works by running screencapture(1) to get a PDF, then converting it to a JPEG with pdf2jpeg(1), then loading it onto the window with xscreensaver-getimage-file(1).

OPTIONS
xscreensaver-getimage-desktop accepts the following options:

--verbose
    Print diagnostics.

--stdout
    Instead of loading the image onto the root window, write it to stdout as a PBM file.

SEE ALSO
screencapture(1), pdf2jpeg(1), X(1), xscreensaver(1), xscreensaver-demo(1), xscreensaver-getimage(1), xscreensaver-getimage-file(1), xscreensaver-getimage-video(1),

COPYRIGHT
Copyright © 2003 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 20-Oct-03.